Bug 143884

Summary: Cannot input latin2 characters using Compose method
Product: [Fedora] Fedora Reporter: Peter Dalgaard <p.dalgaard>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: mattdm
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:51:37 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Peter Dalgaard 2004-12-31 11:01:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
(in en_US.UTF-8 locale)
X11 compose sequences work for Latin1 characters but not for Latin2.
They can be entered in an xterm and copied from there to a
gnome-terminal, so it isn't a font issue. This means that it is
inordinately difficult to  enter e.g. &#269;��, which are fairly
common in Eastern European names. (Same issue appears with this entry
field in Firefox, btw, so it could well be a lower level issue).


Version-Release number of selected component (if applicable):
 2.7.3-1 

How reproducible:
Always

Steps to Reproduce:
1. xmodmap -e 'keycode F12 = Multi_Key' # in case Shift-AltGr isn't there
2. on command line, or as input to cat, etc. type F12-a-e F12-c-c

    

Actual Results:  "�" is echoed

Expected Results:  "�&#269;" is echoed 

2nd character is c with caron, as per the Compose file

<Multi_key> <c> <c>     : "&#269;" U010D # LATIN SMALL LETTER C WITH CARON



Additional info:

Could well be a lower-level issue.
Comment 1 Peter Dalgaard 2004-12-31 19:47:27 EST
Special characters got garbled in the bug report form...

The characters referred to in the description were various caron'ed
characters, the actual results were an ae ligature, and the expected
results were ae followed by c-caron.
Comment 2 Matthew Miller 2006-07-10 18:38:23 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-03 15:12:02 EST
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA", however if you still
experience this problem after updating to our latest Fedora
release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.
Comment 4 Peter Dalgaard 2008-02-03 15:34:18 EST
This is still with us. Reproduction instructions are the same as 3 years ago:

Multi_key c c works in xterm but not in gnome terminal (in my locale).

(I don't know why this was "insufficient data" -- couldn't you just have tried???)
Comment 5 petrosyan 2008-02-03 17:00:48 EST
Which versions of Fedora and gnome-terminal are you using?
Comment 6 petrosyan 2008-02-03 17:02:49 EST
When I try to reproduce this bug in Fedora 8 I get the following:

$ xmodmap -e 'keycode F12 = Multi_Key'
xmodmap:  commandline:1:  bad keycode value
xmodmap:  1 error encountered, aborting.
Comment 7 Peter Dalgaard 2008-02-03 18:14:11 EST
Sorry, that's Multi_key (lowercase k)

This is Fedora 8, terminal 2.18.3 

Notice that a good deal of other key combinations from
/usr/share/X11/locale/en_US.UTF-8/Compose
have gone missing as well
Comment 8 petrosyan 2008-02-03 18:48:03 EST
Ok. I can reproduce this bug now.
To reproduce this bug first I had to run:
xmodmap -e 'keysym F12 = Multi_key'

(keysym instead of keycode).

Then F12-a-e, works as expected, and F12-c-c does not work.
I can confirm that it works in xterm, but does not work in any other gnome
application (gnome-terminal, gedit).
Comment 9 Bug Zapper 2008-11-26 01:48:28 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 01:51:37 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.